import json
import setuptools

kwargs = json.loads(
    """
{
    "name": "aws-cdk-lib",
    "version": "2.0.0.a1",
    "description": "The AWS Cloud Development Kit library",
    "license": "Apache-2.0",
    "url": "https://github.com/aws/aws-cdk",
    "long_description_content_type": "text/markdown",
    "author": "Amazon Web Services",
    "bdist_wheel": {
        "universal": true
    },
    "project_urls": {
        "Source": "https://github.com/aws/aws-cdk.git"
    },
    "package_dir": {
        "": "src"
    },
    "packages": [
        "aws_cdk_lib",
        "aws_cdk_lib._jsii",
        "aws_cdk_lib.alexa_ask",
        "aws_cdk_lib.app_delivery",
        "aws_cdk_lib.assets",
        "aws_cdk_lib.aws_accessanalyzer",
        "aws_cdk_lib.aws_acmpca",
        "aws_cdk_lib.aws_amazonmq",
        "aws_cdk_lib.aws_amplify",
        "aws_cdk_lib.aws_apigateway",
        "aws_cdk_lib.aws_apigatewayv2",
        "aws_cdk_lib.aws_apigatewayv2_integrations",
        "aws_cdk_lib.aws_appconfig",
        "aws_cdk_lib.aws_appflow",
        "aws_cdk_lib.aws_applicationautoscaling",
        "aws_cdk_lib.aws_applicationinsights",
        "aws_cdk_lib.aws_appmesh",
        "aws_cdk_lib.aws_appstream",
        "aws_cdk_lib.aws_appsync",
        "aws_cdk_lib.aws_athena",
        "aws_cdk_lib.aws_auditmanager",
        "aws_cdk_lib.aws_autoscaling",
        "aws_cdk_lib.aws_autoscaling_common",
        "aws_cdk_lib.aws_autoscaling_hooktargets",
        "aws_cdk_lib.aws_autoscalingplans",
        "aws_cdk_lib.aws_backup",
        "aws_cdk_lib.aws_batch",
        "aws_cdk_lib.aws_budgets",
        "aws_cdk_lib.aws_cassandra",
        "aws_cdk_lib.aws_ce",
        "aws_cdk_lib.aws_certificatemanager",
        "aws_cdk_lib.aws_chatbot",
        "aws_cdk_lib.aws_cloud9",
        "aws_cdk_lib.aws_cloudformation",
        "aws_cdk_lib.aws_cloudfront",
        "aws_cdk_lib.aws_cloudfront_origins",
        "aws_cdk_lib.aws_cloudfront.experimental",
        "aws_cdk_lib.aws_cloudtrail",
        "aws_cdk_lib.aws_cloudwatch",
        "aws_cdk_lib.aws_cloudwatch_actions",
        "aws_cdk_lib.aws_codeartifact",
        "aws_cdk_lib.aws_codebuild",
        "aws_cdk_lib.aws_codecommit",
        "aws_cdk_lib.aws_codedeploy",
        "aws_cdk_lib.aws_codeguruprofiler",
        "aws_cdk_lib.aws_codegurureviewer",
        "aws_cdk_lib.aws_codepipeline",
        "aws_cdk_lib.aws_codepipeline_actions",
        "aws_cdk_lib.aws_codestar",
        "aws_cdk_lib.aws_codestarconnections",
        "aws_cdk_lib.aws_codestarnotifications",
        "aws_cdk_lib.aws_cognito",
        "aws_cdk_lib.aws_config",
        "aws_cdk_lib.aws_databrew",
        "aws_cdk_lib.aws_datapipeline",
        "aws_cdk_lib.aws_datasync",
        "aws_cdk_lib.aws_dax",
        "aws_cdk_lib.aws_detective",
        "aws_cdk_lib.aws_devopsguru",
        "aws_cdk_lib.aws_directoryservice",
        "aws_cdk_lib.aws_dlm",
        "aws_cdk_lib.aws_dms",
        "aws_cdk_lib.aws_docdb",
        "aws_cdk_lib.aws_dynamodb",
        "aws_cdk_lib.aws_ec2",
        "aws_cdk_lib.aws_ecr",
        "aws_cdk_lib.aws_ecr_assets",
        "aws_cdk_lib.aws_ecs",
        "aws_cdk_lib.aws_ecs_patterns",
        "aws_cdk_lib.aws_efs",
        "aws_cdk_lib.aws_eks",
        "aws_cdk_lib.aws_eks_legacy",
        "aws_cdk_lib.aws_elasticache",
        "aws_cdk_lib.aws_elasticbeanstalk",
        "aws_cdk_lib.aws_elasticloadbalancing",
        "aws_cdk_lib.aws_elasticloadbalancingv2",
        "aws_cdk_lib.aws_elasticloadbalancingv2_actions",
        "aws_cdk_lib.aws_elasticloadbalancingv2_targets",
        "aws_cdk_lib.aws_elasticsearch",
        "aws_cdk_lib.aws_emr",
        "aws_cdk_lib.aws_events",
        "aws_cdk_lib.aws_events_targets",
        "aws_cdk_lib.aws_eventschemas",
        "aws_cdk_lib.aws_fms",
        "aws_cdk_lib.aws_fsx",
        "aws_cdk_lib.aws_gamelift",
        "aws_cdk_lib.aws_globalaccelerator",
        "aws_cdk_lib.aws_glue",
        "aws_cdk_lib.aws_greengrass",
        "aws_cdk_lib.aws_greengrassv2",
        "aws_cdk_lib.aws_guardduty",
        "aws_cdk_lib.aws_iam",
        "aws_cdk_lib.aws_imagebuilder",
        "aws_cdk_lib.aws_inspector",
        "aws_cdk_lib.aws_iot",
        "aws_cdk_lib.aws_iot1click",
        "aws_cdk_lib.aws_iotanalytics",
        "aws_cdk_lib.aws_iotevents",
        "aws_cdk_lib.aws_iotsitewise",
        "aws_cdk_lib.aws_iotthingsgraph",
        "aws_cdk_lib.aws_iotwireless",
        "aws_cdk_lib.aws_ivs",
        "aws_cdk_lib.aws_kendra",
        "aws_cdk_lib.aws_kinesis",
        "aws_cdk_lib.aws_kinesisanalytics",
        "aws_cdk_lib.aws_kinesisfirehose",
        "aws_cdk_lib.aws_kms",
        "aws_cdk_lib.aws_lakeformation",
        "aws_cdk_lib.aws_lambda",
        "aws_cdk_lib.aws_lambda_destinations",
        "aws_cdk_lib.aws_lambda_event_sources",
        "aws_cdk_lib.aws_lambda_nodejs",
        "aws_cdk_lib.aws_lambda_python",
        "aws_cdk_lib.aws_licensemanager",
        "aws_cdk_lib.aws_logs",
        "aws_cdk_lib.aws_logs_destinations",
        "aws_cdk_lib.aws_macie",
        "aws_cdk_lib.aws_managedblockchain",
        "aws_cdk_lib.aws_mediaconnect",
        "aws_cdk_lib.aws_mediaconvert",
        "aws_cdk_lib.aws_medialive",
        "aws_cdk_lib.aws_mediapackage",
        "aws_cdk_lib.aws_mediastore",
        "aws_cdk_lib.aws_msk",
        "aws_cdk_lib.aws_mwaa",
        "aws_cdk_lib.aws_neptune",
        "aws_cdk_lib.aws_networkfirewall",
        "aws_cdk_lib.aws_networkmanager",
        "aws_cdk_lib.aws_opsworks",
        "aws_cdk_lib.aws_opsworkscm",
        "aws_cdk_lib.aws_pinpoint",
        "aws_cdk_lib.aws_pinpointemail",
        "aws_cdk_lib.aws_qldb",
        "aws_cdk_lib.aws_ram",
        "aws_cdk_lib.aws_rds",
        "aws_cdk_lib.aws_redshift",
        "aws_cdk_lib.aws_resourcegroups",
        "aws_cdk_lib.aws_robomaker",
        "aws_cdk_lib.aws_route53",
        "aws_cdk_lib.aws_route53_patterns",
        "aws_cdk_lib.aws_route53_targets",
        "aws_cdk_lib.aws_route53resolver",
        "aws_cdk_lib.aws_s3",
        "aws_cdk_lib.aws_s3_assets",
        "aws_cdk_lib.aws_s3_deployment",
        "aws_cdk_lib.aws_s3_notifications",
        "aws_cdk_lib.aws_sagemaker",
        "aws_cdk_lib.aws_sam",
        "aws_cdk_lib.aws_sdb",
        "aws_cdk_lib.aws_secretsmanager",
        "aws_cdk_lib.aws_securityhub",
        "aws_cdk_lib.aws_servicecatalog",
        "aws_cdk_lib.aws_servicediscovery",
        "aws_cdk_lib.aws_ses",
        "aws_cdk_lib.aws_ses_actions",
        "aws_cdk_lib.aws_signer",
        "aws_cdk_lib.aws_sns",
        "aws_cdk_lib.aws_sns_subscriptions",
        "aws_cdk_lib.aws_sqs",
        "aws_cdk_lib.aws_ssm",
        "aws_cdk_lib.aws_sso",
        "aws_cdk_lib.aws_stepfunctions",
        "aws_cdk_lib.aws_stepfunctions_tasks",
        "aws_cdk_lib.aws_synthetics",
        "aws_cdk_lib.aws_timestream",
        "aws_cdk_lib.aws_transfer",
        "aws_cdk_lib.aws_waf",
        "aws_cdk_lib.aws_wafregional",
        "aws_cdk_lib.aws_wafv2",
        "aws_cdk_lib.aws_workspaces",
        "aws_cdk_lib.cloud_assembly_schema",
        "aws_cdk_lib.cloudformation_include",
        "aws_cdk_lib.custom_resources",
        "aws_cdk_lib.cx_api",
        "aws_cdk_lib.lambda_layer_awscli",
        "aws_cdk_lib.lambda_layer_kubectl",
        "aws_cdk_lib.pipelines",
        "aws_cdk_lib.region_info"
    ],
    "package_data": {
        "aws_cdk_lib._jsii": [
            "aws-cdk-lib@2.0.0-alpha.1.jsii.tgz"
        ],
        "aws_cdk_lib": [
            "py.typed"
        ]
    },
    "python_requires": ">=3.6",
    "install_requires": [
        "constructs==10.0.0.dev5",
        "jsii>=1.15.0, <2.0.0",
        "publication>=0.0.3"
    ],
    "classifiers": [
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Programming Language :: JavaScript",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Typing :: Typed",
        "Development Status :: 4 - Beta",
        "License :: OSI Approved"
    ]
}
"""
)

with open("README.md", encoding="utf8") as fp:
    kwargs["long_description"] = fp.read()


setuptools.setup(**kwargs)
